VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Product"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Const m_modName As String = "FMSStore_Bus.Product"

Public Function FindByDescription(ByVal Description As String) As ADODB.Recordset
    On Error GoTo errorHandler
    
    Dim obj As FMSStore_DB.Product
    
    Set obj = New FMSStore_DB.Product
    Set FindByDescription = obj.FindByDescription(Description)
    Set obj = Nothing
    
    
    Exit Function
    
errorHandler:
    Set obj = Nothing
    
    RaiseError m_modName, "FindByDescription(" & Description & ")"
End Function

Public Function GetBySKU(ByVal SKU As Long) As ADODB.Recordset
    On Error GoTo errorHandler
    
    Dim obj As FMSStore_DB.Product
    
    Set obj = New FMSStore_DB.Product
    Set GetBySKU = obj.GetBySKU(SKU)
    Set obj = Nothing
    
    
    Exit Function
    
errorHandler:
    Set obj = Nothing
    
    RaiseError m_modName, "GetBySKU(" & SKU & ")"
End Function

Public Function List() As ADODB.Recordset
    On Error GoTo errorHandler
    
    Dim obj As FMSStore_DB.Product
    
    Set obj = New FMSStore_DB.Product
    Set List = obj.List
    Set obj = Nothing
    
    
    Exit Function
    
errorHandler:
    Set obj = Nothing
    
    RaiseError m_modName, "List()"
End Function

